## kpmcore 25.08.1+p24.04+vstable+git20250909.1313

=== debian/changelog ===
kpmcore (25.08.1+p24.04+vstable+git20250909.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:13:50 +0000

kpmcore (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:00:41 +0000

kpmcore (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:35:45 +0000

kpmcore (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:17:41 +0000

kpmcore (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:34:49 +0000

kpmcore (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:27:01 +0000

kpmcore (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

kpmcore (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:35:11 +0000

kpmcore (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:44:38 +0000

kpmcore (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:35:15 +0000

kpmcore (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:33:30 +0000

kpmcore (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:33:03 +0000

kpmcore (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:04:47 +0000

kpmcore (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:42:55 +0000

kpmcore (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:59:33 +0000

kpmcore (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:34:47 +0000

kpmcore (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:03:39 +0000

kpmcore (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:49:14 +0000

kpmcore (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:44:57 +0000

kpmcore (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:27:34 +0000

kpmcore (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:18:01 +0000

kpmcore (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:04:32 +0000

kpmcore (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:45:41 +0000

kpmcore (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:31:10 +0000

kpmcore (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:56:04 +0000

kpmcore (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:48:13 +0000

kpmcore (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:14:48 +0000

kpmcore (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:53:41 +0000

kpmcore (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:59:13 +0000

kpmcore (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:18:04 +0000

kpmcore (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:56:28 +0000

kpmcore (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:21:52 +0000

kpmcore (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:09:17 +0000

kpmcore (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:35:15 +0000

kpmcore (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:30:30 +0000

kpmcore (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:43:14 +0000

kpmcore (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:06:16 +0000

kpmcore (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:26 +0000

kpmcore (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:08:10 +0000

kpmcore (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:33:40 +0000

kpmcore (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:30 +0000

kpmcore (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:32 +0000

kpmcore (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:30 +0000

kpmcore (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:40 +0000

kpmcore (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:56 +0000

kpmcore (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:18:00 +0000

kpmcore (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:54:37 +0000

kpmcore (20.12.2-0neon) focal; urgency=medium

  * New release



## kpmcore 25.08.1+p24.04+vstable+git20251001.1108

=== debian/changelog ===
kpmcore (25.08.1+p24.04+vstable+git20251001.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:08:02 +0000

## kpmcore 25.08.2

=== debian/changelog ===
kpmcore (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:50 +0100

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libblkid-dev (>= 2.33.2),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libpolkit-qt6-1-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kpmcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore

Package: libkpmcore13
Architecture: any
Multi-Arch: same
Depends: fdisk, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpmcore12
Replaces: libkpmcore12
Description: KDE Partition Manager Core
 KDE Partition Manager Core (KPM core) allows software to re-use
 common partitioning GUI tasks.
 .
 It is used by the generic system installer called Calamares
 as well as the KDE Partition Manager application.

Package: libkpmcore-dev
Section: libdevel
Architecture: any
Depends: libkpmcore13 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE Partition Manager Core development files
 KDE Partition Manager Core (KPM core) allows software to re-use
 common partitioning GUI tasks.
 .
 It is used by the generic system installer called Calamares
 as well as the KDE Partition Manager application.
 .
 This package contains development files for kpmcore.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

execute_after_dh_auto_install:
	# do not ship helper translations
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo

# Not sure these can work in a chroot
override_dh_auto_test:

## kpmcore 25.08.2+p24.04+vstable+git20251015.0854

=== debian/changelog ===
kpmcore (25.08.2+p24.04+vstable+git20251015.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:54:16 +0000

kpmcore (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:47:40 +0000

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kauth-dev,
               kf6-ki18n-dev,
               kf6-kwidgetsaddons-dev,
               libatasmart-dev,
               libblkid-dev (>= 2.30),
               libparted-dev,
               libpolkit-qt6-1-dev,
               libqca-qt6-2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               util-linux (>= 2.34)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/KDE/kpmcore
Vcs-Git: https://invent.kde.org/neon/extras/kpmcore.git
Vcs-Browser: https://invent.kde.org/neon/extras/kpmcore
Maintainer: Neon CI <neon@kde.org>

Package: libkpmcore13
Architecture: linux-any
Replaces: libkpmcore10,
          libkpmcore11,
          libkpmcore12,
          libkpmcore3,
          libkpmcore4,
          libkpmcore5,
          libkpmcore6,
          libkpmcore7,
          libkpmcore8,
          libkpmcore9
Breaks: libkpmcore10,
        libkpmcore11,
        libkpmcore12,
        libkpmcore3,
        libkpmcore4,
        libkpmcore5,
        libkpmcore6,
        libkpmcore7,
        libkpmcore8,
        libkpmcore9
Depends: libqca-qt6-2-plugins, ${misc:Depends}, ${shlibs:Depends}
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: linux-any
Depends: libatasmart-dev,
         libkpmcore13 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpmcore3-dev, libkpmcore4-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

Package: kpmcore
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: extra
Description: KDE Partition Manager Core - transitional
 This is a dummy package and can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

# Not sure these can work in a chroot
override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing

## kpmcore 25.08.2+p24.04+vstable+git20251019.0348

=== debian/changelog ===
kpmcore (25.08.2+p24.04+vstable+git20251019.0348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:48:43 +0000

## kpmcore 25.08.2+p24.04+vstable+git20251031.0735

=== debian/changelog ===
kpmcore (25.08.2+p24.04+vstable+git20251031.0735-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:35:40 +0000

## kpmcore 25.08.2+p24.04+vunstable+git20251010.0713

=== debian/changelog ===
kpmcore (25.08.2+p24.04+vunstable+git20251010.0713-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:13:39 +0000

## kpmcore 25.08.2+p24.04+vunstable+git20251020.0243

=== debian/changelog ===
kpmcore (25.08.2+p24.04+vunstable+git20251020.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:43:50 +0000

## kpmcore 25.08.3

=== debian/changelog ===
kpmcore (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:17 +0000

## kpmcore 25.08.3+p24.04+vunstable+git20251122.0041

=== debian/changelog ===
kpmcore (25.08.3+p24.04+vunstable+git20251122.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 00:41:56 +0000

kpmcore (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:56 +1000

## kpmcore 25.08.3+p24.04+vunstable+git20251130.0343

=== debian/changelog ===
kpmcore (25.08.3+p24.04+vunstable+git20251130.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 03:43:51 +0000

## kpmcore 25.11.80

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2014-2022 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2020 David Edmundson <kde@davidedmundson.co.uk>

# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "80")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})

set(SOVERSION "13")
add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"') #"

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

# Note that KPMcore is restricted to only run binaries installed into trusted prefixes
# See src/util/trustedprefixes
# By default this is set to / and /usr which is good for majority of distros

# Dependencies
set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "5.240.0")
set(BLKID_MIN_VERSION "2.33.2")
# PolkitQt5-1

# Runtime
# smartmontools 7.0

set(KDE_COMPILERSETTINGS_LEVEL "5.85")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMConfiguredInstall)
include(ECMDeprecationSettings)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KPMCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
                        SOVERSION ${SOVERSION})

find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS REQUIRED
  Core
  DBus
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF6 ${KF_MIN_VERSION} REQUIRED
  CoreAddons
  I18n
  WidgetsAddons
)

find_package(PolkitQt6-1 REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.7
    KF 6.10
)

kde_enable_exceptions()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(BLKID REQUIRED blkid>=${BLKID_MIN_VERSION})
endif()

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPMcore")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPMcoreConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KPMcoreTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPMcoreTargets.cmake )

ki18n_install(po)

set_target_properties( kpmcore
  PROPERTIES VERSION ${RELEASE_SERVICE_VERSION} SOVERSION ${SOVERSION}
)

message(STATUS "kpmcore ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

enable_testing()
add_subdirectory(test)

=== debian/changelog ===
kpmcore (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:52 +0000

## kpmcore 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpmcore (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:21 +0000

## kpmcore 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpmcore (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:23 +0000

## kpmcore 25.12.0+p24.04+vstable+git20251208.2230

=== debian/changelog ===
kpmcore (25.12.0+p24.04+vstable+git20251208.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:30:50 +0000

kpmcore (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:32 +1000

## kpmcore 25.12.0+p24.04+vstable+git20251215.0202

=== debian/changelog ===
kpmcore (25.12.0+p24.04+vstable+git20251215.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 02:02:37 +0000

## kpmcore 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpmcore (25.12.1-3ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Do not wildcard shared library soversion in install file, as this
      risks soname bumps not being detected.
    - Disable build time tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 10:44:06 +0000

kpmcore (25.12.1-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 07:38:02 +0100

kpmcore (25.12.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  Reupload including merge of previous changes from the experimental branch.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 23:34:36 +0100

kpmcore (25.12.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop patches applied upstream.
  * Adapt packaging to upstream soname bump to libkpmcore13.
  * Update symbols from build for 25.12.1.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 23:21:05 +0100

kpmcore (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:01 +0000

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libblkid-dev (>= 2.33.2),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libpolkit-qt6-1-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/system/kpmcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore

Package: libkpmcore13
Architecture: any
Multi-Arch: same
Depends: fdisk,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkpmcore10,
        libkpmcore11,
        libkpmcore12,
Replaces: libkpmcore10,
          libkpmcore11,
          libkpmcore12,
Description: KDE Partition Manager Core
 KDE Partition Manager Core (KPM core) allows software to re-use
 common partitioning GUI tasks.
 .
 It is used by the generic system installer called Calamares
 as well as the KDE Partition Manager application.

Package: libkpmcore-dev
Section: libdevel
Architecture: any
Depends: libkpmcore13 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE Partition Manager Core development files
 KDE Partition Manager Core (KPM core) allows software to re-use
 common partitioning GUI tasks.
 .
 It is used by the generic system installer called Calamares
 as well as the KDE Partition Manager application.
 .
 This package contains development files for kpmcore.

## kpmcore 25.12.1+p24.04+vstable+git20260129.0042

=== debian/changelog ===
kpmcore (25.12.1+p24.04+vstable+git20260129.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:42:58 +0000

kpmcore (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:35:31 +1000

## kpmcore 25.12.1+p24.04+vstable+git20260131.0211

=== debian/changelog ===
kpmcore (25.12.1+p24.04+vstable+git20260131.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:11:40 +0000

## kpmcore 25.12.1+p24.04+vunstable+git20260129.0259

=== debian/changelog ===
kpmcore (25.12.1+p24.04+vunstable+git20260129.0259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:59:12 +0000

## kpmcore 25.12.1+p24.04+vunstable+git20260201.0633

=== debian/changelog ===
kpmcore (25.12.1+p24.04+vunstable+git20260201.0633-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:33:18 +0000

## kpmcore 25.12.2

=== debian/changelog ===
kpmcore (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libblkid-dev (>= 2.33.2),
